%global pypi_name furo

Name:           python-sphinx-theme-%{pypi_name}
Version:        2024.8.6
Release:        %mkrel 2
Summary:        A clean customisable Sphinx documentation theme
Group:          Development/Python
License:        MIT
URL:            https://github.com/pradyunsg/furo
Source0:        %{pypi_source}
Source1:        furo-%{version}-vendor.tar.xz
ExclusiveArch:  x86_64
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  nodejs-devel
BuildRequires:  yarnpkg

%description
A clean customisable Sphinx documentation theme.

%package -n     python3-sphinx-theme-%{pypi_name}
Summary:        A clean customisable Sphinx documentation theme
Group:          Development/Python
%{?python_provide:%python_provide python3-sphinx-theme-%{pypi_name}}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-furo < 2021.4.11b34-2
Provides:       python3-furo = %{version}-%{release}

%description -n python3-sphinx-theme-%{pypi_name}
A clean customisable Sphinx documentation theme.

%prep
%autosetup -p1 -n %{pypi_name}-%{version} -a1

# Substitute the installed nodejs version for the requested version
sed -i 's,^\(node-version = \)".*",\1"%{nodejs_version}",' pyproject.toml

# Use local objects.inv for intersphinx
sed -e 's|\("https://docs\.python\.org/3", \)None|\1"%{_docdir}/python3-docs/html/objects.inv"|' \
    -e 's|\("https://www\.sphinx-doc\.org/en/master", \)None|\1"%{_docdir}/python-sphinx-doc/html/objects.inv"|' \
    -i docs/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
export PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=1
export YARN_CACHE_FOLDER="$PWD/.package-cache"
yarn install --offline
nodeenv --node=system --prebuilt --clean-src $PWD/.nodeenv
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-sphinx-theme-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2024.8.6-2.mga10
+ Revision: 2236295
- Mageia 10 Mass Rebuild

* Sat Feb 22 2025 wally <wally> 2024.8.6-1.mga10
+ Revision: 2150860
- new version 2024.8.6
- rebuild for python3.13

* Sat Dec 09 2023 wally <wally> 2023.9.10-3.mga10
+ Revision: 2016045
- use %%pyproject_buildrequires
- rebuild for py3.12
- rebuild for py3.12

* Fri Oct 13 2023 daviddavid <daviddavid> 2023.9.10-1.mga10
+ Revision: 1995530
- new version: 2023.9.10
- use system nodejs

* Thu Mar 02 2023 daviddavid <daviddavid> 2022.9.29-2.mga9
+ Revision: 1946333
- relax sphinx dependency

* Fri Nov 18 2022 kekepower <kekepower> 2022.9.29-1.mga9
+ Revision: 1908727
- Use vendored node packages + node 16.15.1
- Update to version 2022.9.29
+ guillomovitch <guillomovitch>
- new version 2022.9.15

* Tue Mar 29 2022 umeabot <umeabot> 2021.8.31-4.mga9
+ Revision: 1832721
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 2021.8.31-3.mga9
+ Revision: 1782009
- rebuild for python-3.10

* Fri Sep 03 2021 wally <wally> 2021.8.31-2.mga9
+ Revision: 1744240
- switch to pyproject build

* Fri Sep 03 2021 wally <wally> 2021.8.31-1.mga9
+ Revision: 1744211
- new version 2021.8.31

* Tue Apr 20 2021 daviddavid <daviddavid> 2021.4.11b34-3.mga9
+ Revision: 1717226
- change also name tag
- update spec file for new pkg-name
- rename package as a sphinx theme

* Mon Apr 19 2021 daviddavid <daviddavid> 2021.4.11b34-1.mga9
+ Revision: 1717169
- initial package python-furo

